Search documentation of phoenix_kit

# PhoenixKitWeb.Components.Core.OAuthCheckbox (phoenix_kit v1.7.87)

Copy Markdown View Source

Reusable component for OAuth provider checkboxes with conditional styling.

## Summary

### Functions

oauth_provider_checkbox(assigns)

Renders an OAuth provider checkbox with conditional disable styling.

## Functions

# oauth_provider_checkbox(assigns)

Renders an OAuth provider checkbox with conditional disable styling.

## Attributes

- `provider` - The provider name (:google, :apple, :github, :facebook)
- `provider_label` - Display label for the provider (e.g., "Google Sign-In")
- `master_enabled` - Boolean indicating if OAuth master switch is enabled
- `provider_enabled` - Boolean indicating if this specific provider is enabled

## Attributes

- `provider` (`:atom`) (required)
- `provider_label` (`:string`) (required)
- `master_enabled` (`:boolean`) (required)
- `provider_enabled` (`:boolean`) (required)